
import 'dart:convert';

class Fulfillment {
  int? id;
  String? shippingMethod;
  String? trackingNumber;
  String? note;
  String? createdAt;

  Fulfillment.fromJson(Map<String, dynamic> json) :
      id = json['id'],
      shippingMethod = json['shipping_method'],
      trackingNumber = json['tracking_number'],
      note = json['note'],
      createdAt = json['created_at'];

  Map<String, dynamic> toJson() => {
    'id': id,
    'shipping_method': shippingMethod,
    'tracking_number': trackingNumber,
    'note': note,
    'created_at': createdAt,
  };

  @override
  String toString() {
    return json.encode(this);
  }
}